Arduino

Reference Language | Libraries | Comparison | Changes

## setTimeout()

#### Description

setTimeout() sets the maximum milliseconds to wait for stream data, it defaults to 1000 milliseconds. This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.setTimeout(time)

#### Parameters

stream : an instance of a class that inherits from Stream.
time : timeout duration in milliseconds (long).

#### Parameters

None

#### See also

- Stream

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes